﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Grids;
using Infragistics.Documents.Excel;
using Microsoft.Win32;

namespace SpreadsheetMinimalPrototype
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void ButtonLoadCustom_Click(object sender, RoutedEventArgs e)
		{
			var openFileDialog = new OpenFileDialog();
			openFileDialog.Filter = "Excel | *.xlsx";
			var result = openFileDialog.ShowDialog();
			if (result.HasValue && result.Value)
			{
				SpreadSheet.Workbook = CreateFromFileExcel(openFileDialog.FileName);
			}
		}

		private Workbook CreateFromFileExcel(string fileName)
		{
			using (var fs = File.OpenRead(fileName))
			{
				return Workbook.Load(fs);
			}
		}

        private void ButtonReadCell_Click(object sender, RoutedEventArgs e)
			{
				if (SpreadSheet.Workbook == null)
					return;

				var style = new SheetStyle(DefaultSettings.DefaultFontFamily.Source, DefaultSettings.DefaultFontSize);
				style.ApplyTo(SpreadSheet.Workbook);
				MessageBox.Show("Check the scrollbar maximum value");
			}

        private void SpreadSheet_OnEditModeExited(object sender, SpreadsheetEditModeExitedEventArgs e)
        {
				TextOutput.Foreground = new SolidColorBrush(Color.FromRgb(255, 128, 64));
			}

        private void SpreadSheet_OnEditModeEntered(object sender, SpreadsheetEditModeEnteredEventArgs e)
        {
			TextOutput.Foreground = new SolidColorBrush(Color.FromRgb(0, 0, 0));
		}
    }
}
